curl --request GET \
--url https://api.blaxel.ai/v0/mcp/hub \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/mcp/hub"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/mcp/hub', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "<string>",
"updatedAt": "<string>",
"categories": [
{}
],
"coming_soon": true,
"description": "<string>",
"displayName": "<string>",
"enterprise": true,
"entrypoint": {
"args": [
{}
],
"command": "<string>",
"env": {},
"superGatewayArgs": [
{}
]
},
"form": {
"config": {},
"oauth": {
"scope": [
{}
],
"type": "<string>"
},
"secrets": {}
},
"hidden": true,
"hiddenSecrets": [
"<string>"
],
"icon": "<string>",
"image": "<string>",
"integration": "<string>",
"longDescription": "<string>",
"name": "<string>",
"transport": "<string>",
"url": "<string>"
}
]List MCP Hub servers
Returns all pre-built MCP server definitions available in the Blaxel Hub. These can be deployed directly to your workspace with pre-configured tools and integrations.
Authorizations
OAuth2 authentication with JWT tokens
Response
successful operation
The date and time when the resource was created
The date and time when the resource was updated
Categories of the artifact
If the artifact is coming soon
Description of the artifact
Display name of the artifact
If the artifact is enterprise
Entrypoint of the artifact
Show child attributes
Show child attributes
Form of the artifact
Show child attributes
Show child attributes
If the artifact is hidden
Hidden secrets of the artifact
Icon of the artifact
Image of the artifact
Integration of the artifact
Long description of the artifact
Name of the artifact
Transport compatibility for the MCP, can be "websocket" or "http-stream"
URL of the artifact
Was this page helpful?
